if(${IDF_TARGET} STREQUAL "esp32p4")
idf_component_register(SRCS "obtain_time.c" "eventsManager.c" obtain_time.c
                    INCLUDE_DIRS "include"
                    REQUIRES mqtt esp_netif meteofrance audio)
else()
idf_component_register(SRCS "obtain_time.c" "eventsManager.c" obtain_time.c
                    INCLUDE_DIRS "include"
                    REQUIRES mqtt esp_netif meteofrance)
endif()
